Bug 826812

Summary: grub2-install fails with grub2-probe segfault
Product: [Fedora] Fedora Reporter: Mustafa Mehmed <mustafamehmed>
Component: grub2Assignee: Peter Jones <pjones>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 17CC: bcl, dennis, derek, edb, gatlinsullivan, jbeima, mads, ondrejj, panormitis, pjones, robbelibobban, trevor
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-01 13:59:44 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
tarball of mentioned files
none
output of running valgrind with grub2 none

Description Mustafa Mehmed 2012-05-30 23:20:40 EDT
Description of problem:
grub2 seg faults line 53 grub-mkconfig_lib - bootloader does not get installed on fresh install 

Version-Release number of selected component (if applicable):

grub2-2.0.0-25.bet4.fcc17.x86_64

How reproducible:
always - boot from live cd (gnome desktop). install proceeds until trys to install bootloader, which fails. drop to command line and try to install manually using 

# grub2-install /dev/sda

Steps to Reproduce:
1. install from Fedora-17-x86_64-Live-Desktop.iso (checksum ok)
2.
3.
  
Actual results:

anaconda says "could not install bootloader" (words to that effect)

Expected results:
bootloadder to MBR
install 
Additional info:

I tried a manual install of grub2 :-

# grub2-install /dev/sda
/usr/share/grub/grub-mkconfig_lib: line 53 4067 Segmentation fault (core dumped) "${grub_probe}" -t fs "$path" > /dev/null 2>&1
Path `/boot/grub2` is not readable by GRUB on boot. Installation is impossible. Aborting.
Comment 1 Mads Kiilerich 2012-05-31 05:43:00 EDT
Please run
bash -x grub2-install /dev/sda
and show us the last couple of lines.

Please also provide the output of 'blkid' and 'fdisk -l /dev/sda' and describe your partition layout.
Comment 2 Mustafa Mehmed 2012-05-31 18:03:45 EDT
(In reply to comment #1)
> Please run
> bash -x grub2-install /dev/sda
> and show us the last couple of lines.
> 
> Please also provide the output of 'blkid' and 'fdisk -l /dev/sda' and
> describe your partition layout.

The last couple of lines are below:-


# grub2-install /dev/sda
/usr/share/grub/grub-mkconfig_lib: line 53 4067 Segmentation fault (core dumped) "${grub_probe}" -t fs "$path" > /dev/null 2>&1
Path `/boot/grub2` is not readable by GRUB on boot. Installation is impossible. Aborting.

I was in a hurry so I installed F16 which set up my MBR correctly and now I am in the process of upgrading to F17 using the Fedora-17-x86_64-DVD.iso . (I previously had F15 installed and booted from the F17 live cd to do the install of F17)

This is a default LVM install on one hdd:

# blkid

/dev/sda3: UUID="pj9C2E-aplA-MgTu-vFLi-C8KX-JawC-Xf3TfF" TYPE="LVM2_member" 
/dev/sda2: UUID="7b53d242-521a-4b2c-a8be-a4c9d9463a5a" TYPE="ext4" 
/dev/mapper/vg_musi-lv_swap: UUID="75f195de-9714-4018-abe7-f0f7e25ef5a0" TYPE="swap" 
/dev/mapper/vg_musi-lv_root: LABEL="_Fedora-16-x86_6" UUID="fc2e6172-6a2d-4396-a949-a8b3a192bd7e" TYPE="ext4" 
/dev/mapper/vg_musi-lv_home: UUID="83b09efd-d835-4c2d-b864-325528c62b2b" TYPE="ext4" 

# fdisk -l /dev/sda

WARNING: GPT (GUID Partition Table) detected on '/dev/sda'! The util fdisk doesn't support GPT. Use GNU Parted.


Disk /dev/sda: 1000.2 GB, 1000204886016 bytes
255 heads, 63 sectors/track, 121601 cylinders, total 1953525168 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00000000

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1               1  1953525167   976762583+  ee  GPT


If you like I can do a fresh install from Fedora-17-x86_64-DVD.iso after I have tried the upgrade from DVD option. I am in Brisbane Australia an it is now 8am, which will give me plenty of time to do some experimenting for you.
Comment 3 Mads Kiilerich 2012-05-31 18:10:46 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > Please run
> > bash -x grub2-install /dev/sda
> > and show us the last couple of lines.
...
> The last couple of lines are below:-
> 
> # grub2-install /dev/sda
> /usr/share/grub/grub-mkconfig_lib: line 53 4067 Segmentation fault (core
> dumped) "${grub_probe}" -t fs "$path" > /dev/null 2>&1
> Path `/boot/grub2` is not readable by GRUB on boot. Installation is
> impossible. Aborting.

Was that really run with 'bash -x' ?

I would like to see exactly which command is crashing ... and reproduce it and get it fixed.

Please also show the content of /boot/grub2/device.map ... if you have any.

> # fdisk -l /dev/sda
> 
> WARNING: GPT (GUID Partition Table) detected on '/dev/sda'! The util fdisk
> doesn't support GPT. Use GNU Parted.

Then try with
gdisk -l /dev/sda
Comment 4 Mustafa Mehmed 2012-05-31 21:00:49 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > (In reply to comment #1)
> > > Please run
> > > bash -x grub2-install /dev/sda
> > > and show us the last couple of lines.
> ...
> > The last couple of lines are below:-
> > 
> > # grub2-install /dev/sda
> > /usr/share/grub/grub-mkconfig_lib: line 53 4067 Segmentation fault (core
> > dumped) "${grub_probe}" -t fs "$path" > /dev/null 2>&1
> > Path `/boot/grub2` is not readable by GRUB on boot. Installation is
> > impossible. Aborting.
> 
> Was that really run with 'bash -x' ?
> 
> I would like to see exactly which command is crashing ... and reproduce it
> and get it fixed.
> 
> Please also show the content of /boot/grub2/device.map ... if you have any.
> 
> > # fdisk -l /dev/sda
> > 
> > WARNING: GPT (GUID Partition Table) detected on '/dev/sda'! The util fdisk
> > doesn't support GPT. Use GNU Parted.
> 
> Then try with
> gdisk -l /dev/sda


No I could not run with bash -x because I have already installed F16 and have now upgraded to F17. When upgrading to F17 I chose the option to overwrite the MBR and it seemed to have worked ok. I then did a yum upgrade on F17 and the upgrade seemed to have worked OK except for the restart part which crashed the kernel (but that is another story).

I can start again if you wish so we track down this problem (ie. do an install from the F17 live media ...)

Here is gdisk on the currently installed F17 :-

# gdisk -l /dev/sda
GPT fdisk (gdisk) version 0.8.4

Partition table scan:
  MBR: protective
  BSD: not present
  APM: not present
  GPT: present

Found valid GPT with protective MBR; using GPT.
Disk /dev/sda: 1953525168 sectors, 931.5 GiB
Logical sector size: 512 bytes
Disk identifier (GUID): 425E191B-E9F9-4463-8361-538F95386476
Partition table holds up to 128 entries
First usable sector is 34, last usable sector is 1953525134
Partitions will be aligned on 2048-sector boundaries
Total free space is 3437 sectors (1.7 MiB)

Number  Start (sector)    End (sector)  Size       Code  Name
   1            2048            4095   1024.0 KiB  EF02  
   2            4096         1028095   500.0 MiB   EF00  ext4
   3         1028096      1953523711   931.0 GiB   8E00
Comment 5 Mustafa Mehmed 2012-06-01 02:41:36 EDT
I have a fully working F17 install now and am reluctant to start again to find this bug, unless it can be done in a virtual machine ?? Please recall that this was a boot from an F17 live cd on an existing F15 system (which had grub and not grub2). Hope this helps.
Comment 6 Mads Kiilerich 2012-06-01 07:14:24 EDT
There is nothing we can do if the problem can't be reproduced or explained in very great details.

If you have moved on and no longer see the problem then that's it.
Comment 7 Mustafa Mehmed 2012-06-01 07:50:16 EDT
Unfortunately the international time difference got us here. I couldn't wait for a fix because I needed a running system as soon as possible. Better luck next time and thank you for your effort.
Comment 8 Derek Carter 2012-06-06 16:10:02 EDT
Created attachment 590004 [details]
tarball of mentioned files
Comment 9 Derek Carter 2012-06-06 16:10:52 EDT
I think I may have tripped this exact bug as well. here's how I got it to that point.

installed Fedora 15 using the following partition scheme:

1G /boot partition
122G windows vista partition (NTFS)
50G Fat16 partition 
526G lvm partition
  * swap, /, /home and /srv are each LVs on this VG

upgraded to Fedora 16 using the DVD.

upgraded to Fedora 17 using the DVD, anaconda had an error message stating there were "bootloader problems" and said there would be issues rebooting.

rebooted and got the grub rescue prompt.

rebooted again into rescue mode and tried to do 'grub2-install /dev/sda' which is where I got the above error:

        Path `/boot/grub2` is not readable by GRUB on boot. Installation is
        impossible. Aborting.

Then I did the troubleshooting you suggested and that is attached (along with some other data I thought would be useful.
Comment 10 Derek Carter 2012-06-06 16:16:12 EDT
As additional info:

I was able to work around by doing the following:

* backup the /boot partition

        mkdir /boot-backup
        rsync -rav /boot/. /boot-backup/

* unmount and zero out the boot partition

        umount /boot
        dd if=/dev/zero of=/dev/sda1 bs=1024k

* create a new ext4 filesystem

        mkfs -t ext4 /dev/sda1
        mount /dev/sda1 /boot

* re-run grub2-install

        grub2-install /dev/sda

* copy the files out of the new /boot into /boot-backup

        rsync -rav /boot/. /boot-backup/.

* copy the backed up files *BACK* into place

        rsync -rav /boot-backup/. /boot/.

* re-generate the grub2 config

        grub2-mkconfig > /boot/grub/grub.cfg

reboot.
Comment 11 Derek Carter 2012-06-06 16:17:34 EDT
Also I'm trying to replicate but the Fedora 16 installer isn't letting me partition my system into the broken state, so I'll have to wait for the Fedora 15 iso I'm downloading to finish before I can replicate exactly as things were.
Comment 12 Mads Kiilerich 2012-06-06 19:09:57 EDT
Some bugs in this area of grub2 has been found and fixed. Please try 2.0 beta 6 from http://koji.fedoraproject.org/koji/buildinfo?buildID=322368 and see if that works.

- and in the future please use
grub2-mkconfig -o /boot/grub2/grub.cfg
to 
1. put the config file in the right place for Fedora
2. make sure you don't clobber your config file in case of problems.
Comment 13 Derek Carter 2012-06-07 17:14:34 EDT
I tried to re-create by doing the f15->f16->f17 upgrade path and wasn't able to replicate the issue.

I'm going to try a couple more times. (this last time I had f16 update the bootloader) I'm gonna skip that and see if that's the issue.

--
Derek
Comment 14 Derek Carter 2012-06-13 23:02:16 EDT
Still trying to replicate. I'll do it again tomorrow, and will report.

If I can't replicate it I guess we'll have to mark it as closed again.

--
Derek
Comment 15 John C. Beima 2012-06-14 23:33:36 EDT
I have this exact problem right now...

This is what caused it...

When I used the upgrade program to upgrade my system I never noticed, since it was automated, that when it tried to install the kernel it claimed it could not find a template to make the grub entires from.

So it left just the fc16 kernel in the grub.cfg file and did not add the fc17,

As a matter of fact the first two updates to the kernel thru the exact same error and did not add entired to the grub.cnf file.

Me not realizing what was happening erased the fc16 kernel thinking it was just a matter of the default being set to the wrong kernel I then caused myself a wack of troublems.

So to sum up what happened.

Upgrade from FC16 to FC17.

The upgrader installed the kernel but did not add it to the grub file, because a lack of template.

Thus leaving the fc16 kernel as the only bootable option.

NOW the fun stuff.

I installed a clean FC17 on another drive and copied the grub.cfg file from it to my updated system.

When it boots, right after it says:

GRUB in inverse white

It tosses a file not found error, but then loads the menu.

After a kernel is selected

You get three more file not found errors, and then the loading stops and requests you press a key to continue.

Once you hit a key the system boots fine.

What I have found as well is this:

The structure of /boot/grub2 has changed.

So when the grub.cfg file instructs grub to load the modules they are not found.

IF I copy the clean /boot/grub2 from the clean install to my upgraded install, this system chokes and dumps me to a grub rescue prompt.

It looks like the boot sector was never updated with the change in grub versions from fc16 to gc17. So the boot sector wants the old file structure, but everying installed on the drive is the new structor.

When I try and do a grub2-install /dev/sda it says that /boot/grub2 is unreadable at the time of boot, so it will not continue. So I can not upgrade the boot sector.

My system is still in this state, and I can re-create any part of this at any time.


John Beima
Comment 16 Mads Kiilerich 2012-06-15 03:37:20 EDT
(In reply to comment #15)

John,

1: How did you upgrade?
2: Do you see any segmentation fault? Please show the error.
Comment 17 John C. Beima 2012-06-15 11:26:49 EDT
Hi Mads,

I upgraded using the preupgrade scripts. They finished 100% without error. Everything looked 100%.

When I first booted I was having troubles with firstboot. It kept crashing. When I looked into it, I found I was running the 3.3.7 FC16 kernel.

So I looked at grub.cfg and found there was no FC17 entry.

I then rpm -e the FC16 kernel and yum reinstalled the FC17 kernel. I had just figured there was a problem because of version numbers.

When yum was running, it installed the kernel it finished, but an error from grub complaining that it could not be configured do to a lack of template.

So I though that this was because the kernel was coming from the update repo, so I yum installed the original FC17 kernel from the fedora repo. Same thing, grub error complaining about a lack of template and nothing was added to the grub.cfg script.

This is when I installed the fresh version of FC17 on a different drive. Then copied the /boot/grub2 over to this installation. Then rebooted and was dumped into rescue mode.

At that point I restored my original FC16 -> FC17 /boot/grub2 directory, but added the grub.cfg file from the clean instalation. Now I get all the file not found errors and the pause for a key press after the initrd is loaded.
Comment 18 John C. Beima 2012-06-15 11:34:51 EDT
Now I am also thinking, could the template be missing, do to the change in directory structure between the FC16 grub2 and the FC17 grub2.

Could preupgrade have messed up on grub2 because of the grub2-install "grub would not be able to read /boot/grub2 on boot, not installing" message?



John
Comment 19 Mads Kiilerich 2012-06-16 09:02:33 EDT
If you didn't get a segfault then it wasn't this bug.

What you describe is probably mostly caused by preupgrade bugs.

To work around them do something like
grub2-install /dev/sda
grub2-mkconfig -o /boot/grub2/grub.cfg
Comment 20 John C. Beima 2012-06-18 02:15:29 EDT
Hello Mads Kiilerich,

You know, with all do respect, there is nothing more anoying than someone who obviously did not read what you took the time to write, suggests something that was already discussed, and pointed out DOES NOT WORK, and jumps to a WRONG conclusion.

I did my research on three installs before posting here.

This is NOT a BUG in preupgrade.

It is a problem with grub and the kernals.

Next time actually READ what someone has written, before you make yourself look like a complete and utter moron.
Comment 21 Mads Kiilerich 2012-06-18 06:59:02 EDT
(In reply to comment #20)

I am sorry that this moron failed to see the answer to the second question I asked in comment 16. I see lots of references to other bugs but nothing that indicates you really see this bug.

I also fail to see your response to the request in comment 12 - which raise the question whether your comments really is a well-researched comment to the issue discussed here.
Comment 22 Jan ONDREJ 2012-07-10 13:32:39 EDT
Same problem here. If I run grub2-probe, it ends with Aborted:

sh-4.2# grub2-probe -t fs /boot/grub2
ext2
Aborted
sh-4.2#

My system has /dev/sda reformatted using Fedora 17 installer. Installer failed to install grub2. Then after booting to rescue mode I see, that there is problem with grub2-probe. I am trying to replace grub2-probe with shell wrapper, which will return 0 exit status without success.
Comment 23 Jan ONDREJ 2012-07-10 14:01:55 EDT
Looks like I found a workaround:

  export MALLOC_CHECK_=0
  grub2-install /dev/sda

and a problem:

[anaconda root@vs1 sbin]# /sbin/grub2-probe -t fs /boot/grub2 2> /tmp/x
ext2
*** glibc detected *** /sbin/grub2-probe: double free or corruption
*** (fasttop): 0x000000000142b7d0 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x7c80e)[0x7f0bbd24980e]
/sbin/grub2-probe[0x49d052]
/sbin/grub2-probe[0x4ae052]
/sbin/grub2-probe[0x4ae1dc]
/sbin/grub2-probe[0x4ae1c7]
/sbin/grub2-probe[0x407e88]
/sbin/grub2-probe[0x404b0f]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x7f0bbd1ee735]
/sbin/grub2-probe[0x402b09]
======= Memory map: ========
00400000-004f1000 r-xp 00000000 08:01 7200
/usr/sbin/grub2-probe
006f0000-006f1000 r-xp 000f0000 08:01 7200
//usr/sbin/grub2-probe
006f1000-006f8000 rwxp 000f1000 08:01 7200
/usr/sbin/grub2-probe
006f8000-00707000 rwxp 00000000 00:00 0
01367000-02191000 rwxp 00000000 00:00 0
[heap]
7f0bbc320000-7f0bbc335000 r-xp 00000000 08:01 25
/usr/lib64/libgcc_s-4.7.0-20120507.so.1
7f0bbc335000-7f0bbc534000 ---p 00015000 08:01 25
//usr/lib64/libgcc_s-4.7.0-20120507.so.1
7f0bbc534000-7f0bbc535000 rwxp 00014000 08:01 25
/usr/lib64/libgcc_s-4.7.0-20120507.so.1
7f0bbc535000-7f0bbc54b000 r-xp 00000000 08:01 3495
//usr/lib64/libpthread-2.15.so
7f0bbc54b000-7f0bbc74b000 ---p 00016000 08:01 3495
/usr/lib64/libpthread-2.15.so
7f0bbc74b000-7f0bbc74c000 r-xp 00016000 08:01 3495
//usr/lib64/libpthread-2.15.so
7f0bbc74c000-7f0bbc74d000 rwxp 00017000 08:01 3495
/usr/lib64/libpthread-2.15.so
7f0bbc74d000-7f0bbc751000 rwxp 00000000 00:00 0
7f0bbc751000-7f0bbc754000 r-xp 00000000 08:01 3475
/usr/lib64/libdl-2.15.so
7f0bbc754000-7f0bbc953000 ---p 00003000 08:01 3475
//usr/lib64/libdl-2.15.so
7f0bbc953000-7f0bbc954000 r-xp 00002000 08:01 3475
/usr/lib64/libdl-2.15.so
7f0bbc954000-7f0bbc955000 rwxp 00003000 08:01 3475
//usr/lib64/libdl-2.15.so
7f0bbc955000-7f0bbc95c000 r-xp 00000000 08:01 3499
/usr/lib64/librt-2.15.so
7f0bbc95c000-7f0bbcb5b000 ---p 00007000 08:01 3499
//usr/lib64/librt-2.15.so
7f0bbcb5b000-7f0bbcb5c000 r-xp 00006000 08:01 3499
/usr/lib64/librt-2.15.so
7f0bbcb5c000-7f0bbcb5d000 rwxp 00007000 08:01 3499
//usr/lib64/librt-2.15.so
7f0bbcb5d000-7f0bbcb6a000 r-xp 00000000 08:01 8867
/usr/lib64/libudev.so.0.13.1
7f0bbcb6a000-7f0bbcd69000 ---p 0000d000 08:01 8867
//usr/lib64/libudev.so.0.13.1
7f0bbcd69000-7f0bbcd6a000 r-xp 0000c000 08:01 8867
/usr/lib64/libudev.so.0.13.1
7f0bbcd6a000-7f0bbcd6b000 rwxp 00000000 00:00 0
7f0bbcd6b000-7f0bbcdab000 r-xp 00000000 08:01 3887
/usr/lib64/libsepol.so.1
7f0bbcdab000-7f0bbcfaa000 ---p 00040000 08:01 3887
//usr/lib64/libsepol.so.1
7f0bbcfaa000-7f0bbcfac000 rwxp 0003f000 08:01 3887
/usr/lib64/libsepol.so.1
7f0bbcfac000-7f0bbcfca000 r-xp 00000000 08:01 3888
//usr/lib64/libselinux.so.1
7f0bbcfca000-7f0bbd1c9000 ---p 0001e000 08:01 3888
/usr/lib64/libselinux.so.1
7f0bbd1c9000-7f0bbd1ca000 r-xp 0001d000 08:01 3888
//usr/lib64/libselinux.so.1
7f0bbd1ca000-7f0bbd1cb000 rwxp 0001e000 08:01 3888
/usr/lib64/libselinux.so.1
7f0bbd1cb000-7f0bbd1cd000 rwxp 00000000 00:00 0
7f0bbd1cd000-7f0bbd379000 r-xp 00000000 08:01 3469
/usr/lib64/libc-2.15.so
7f0bbd379000-7f0bbd579000 ---p 001ac000 08:01 3469
//usr/lib64/libc-2.15.so
7f0bbd579000-7f0bbd57d000 r-xp 001ac000 08:01 3469
/usr/lib64/libc-2.15.so
7f0bbd57d000-7f0bbd57f000 rwxp 001b0000 08:01 3469
//usr/lib64/libc-2.15.so
7f0bbd57f000-7f0bbd584000 rwxp 00000000 00:00 0
7f0bbd584000-7f0bbd5b8000 r-xp 00000000 08:01 8612
/usr/lib64/libdevmapper.so.1.02
7f0bbd5b8000-7f0bbd7b8000 ---p 00034000 08:01 8612
//usr/lib64/libdevmapper.so.1.02
7f0bbd7b8000-7f0bbd7bb000 rwxp 00034000 08:01 8612
/usr/lib64/libdevmapper.so.1.02
7f0bbd7bb000-7f0bbd7bc000 rwxp 00000000 00:00 0
7f0bbd7bc000-7f0bbd7dc000 r-xp 00000000 08:01 3462
/usr/lib64/ld-2.15.so
7f0bbd9d1000-7f0bbd9d6000 rwxp 00000000 00:00 0
7f0bbd9d8000-7f0bbd9db000 rwxp 00000000 00:00 0
7f0bbd9db000-7f0bbd9dc000 r-xp 0001f000 08:01 3462
/usr/lib64/ld-2.15.so
7f0bbd9dc000-7f0bbd9dd000 rwxp 00020000 08:01 3462
//usr/lib64/ld-2.15.so
7f0bbd9dd000-7f0bbd9de000 rwxp 00000000 00:00 0
7fff42111000-7fff42153000 rwxp 00000000 00:00 0
[stack]
7fff421ff000-7fff42200000 r-xp 00000000 00:00 0
[vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0
[vsyscall]
Aborted

Does this help? Can you fix this double free problem?

My grub2:

[anaconda root@vs1 sbin]# rpm -q grub2
grub2-2.0-0.37.beta6.fc17.x86_64

Same problem with older version from stable too.
Comment 24 Mads Kiilerich 2012-07-31 13:44:12 EDT
(In reply to comment #23)
> Does this help? Can you fix this double free problem?

Not without symbols on the stacktrace ... but it tells us what to look for.

Please run
  debuginfo-install grub2-tools
  yum install valgrind
  valgrind grub2-install /dev/sda
and report the output.

It would also be interesting if you could try a (f18) 2.0 from koji and see if the problem has been fixed there.
Comment 25 gatlibs 2012-08-14 00:37:32 EDT
I had a problem wher grub would state, roughly, the following in a black screen.
"error: file not found"
"error: file not found"
"error: file not found"

This sould happen when I tried to boot Fedora 17 x86_64. I never had this problem till I installed a dual-boot wiht OpenSUSE. It still booted but took a few extra seconds and became annoying. I eventually, in an attempt to remove it, used grub2-install /dev/sda. After that, all that I could get was grub rescue.

bash -x grub2-install /dev/sda from F17Live yields the following: last few lines only.

+ is_path_readable_by_grub /boot/grub2
+ path=/boot/grub2
+ test -e /boot/grub2
+ :
+ /usr/sbin/grub2-probe -t fs /boot/grub2
/usr/share/grub/grub-mkconfig_lib: line 53:  9322 Segmentation fault      (core dumped) "${grub_probe}" -t fs "$path" > /dev/null 2>&1
+ return 1
+ gettext_printf 'Path `%s'\'' is not readable by GRUB on boot. Installation is impossible. Aborting.\n' /boot/grub2
+ gettext_printf_format='Path `%s'\'' is not readable by GRUB on boot. Installation is impossible. Aborting.\n'
+ shift
++ gettext 'Path `%s'\'' is not readable by GRUB on boot. Installation is impossible. Aborting.\n'
+ printf 'Path `%s'\'' is not readable by GRUB on boot. Installation is impossible. Aborting.\n' /boot/grub2
Path `/boot/grub2' is not readable by GRUB on boot. Installation is impossible. Aborting.
+ exit 1


& I had upgraded from F16 with _much_ difficulty. I have been reading similar statements above, but am not sure if it's a part of the bug.
Comment 26 Joshua Kordani 2012-10-14 06:16:47 EDT
Created attachment 626873 [details]
output of running valgrind with grub2
Comment 27 Mads Kiilerich 2012-10-14 11:43:08 EDT
Sorry, you will have to run
bash -x grub2-install /dev/sda
to see which (grub2-setup?) command that is failing and then run valgrind on that command.
Comment 28 Morten L 2013-01-27 15:19:52 EST
I think I have the same problem:

grub2-install fails at the following command

Comnmand:
grub2-probe -t fs /mnt/boot/grub2

Result:
ext2
*** glibc detected *** grub2-probe: double free or corruption (fasttop): 0x085635d8 ***
======= Backtrace: =========
/lib/libc.so.6[0x42a3f8c9]
grub2-probe[0x80e320a]
grub2-probe[0x80f2833]
grub2-probe[0x80f29a3]
grub2-probe[0x80f2989]
grub2-probe[0x804ecc6]
grub2-probe[0x804bbcb]
/lib/libc.so.6(__libc_start_main+0xf5)[0x429e3635]
grub2-probe[0x8049ed1]

With valgrind:
# valgrind grub2-probe -t fs /mnt/boot/grub2
==8983== Memcheck, a memory error detector
==8983== Copyright (C) 2002-2012, and GNU GPL'd, by Julian Seward et al.
==8983== Using Valgrind-3.8.1 and LibVEX; rerun with -h for copyright info
==8983== Command: grub2-probe -t fs /mnt/boot/grub2
==8983== 
==8983== Warning: noted but unhandled ioctl 0x1261 with no size/direction hints
==8983==    This could cause spurious value errors to appear.
==8983==    See README_MISSING_SYSCALL_OR_IOCTL for guidance on writing a proper wrapper.
ext2
==8983== Invalid free() / delete / delete[] / realloc()
==8983==    at 0x4007F0F: free (vg_replace_malloc.c:446)
==8983==    by 0x80E3209: grub_free (mm.c:53)
==8983==    by 0x80F2832: free_array (diskfilter.c:1149)
==8983==    by 0x80F29A2: grub_mod_fini (diskfilter.c:1207)
==8983==    by 0x80F2988: grub_diskfilter_fini (diskfilter.c:1204)
==8983==    by 0x804ECC5: grub_fini_all (libgrub_a_init.c:240)
==8983==    by 0x804BBCA: main (grub-probe.c:938)
==8983==  Address 0x48e4c68 is 0 bytes inside a block of size 256 free'd
==8983==    at 0x4007F0F: free (vg_replace_malloc.c:446)
==8983==    by 0x80E3209: grub_free (mm.c:53)
==8983==    by 0x80F1E7F: grub_diskfilter_vg_register (diskfilter.c:895)
==8983==    by 0x80F232C: grub_diskfilter_make_raid (diskfilter.c:1022)
==8983==    by 0x804EAB6: grub_mdraid_detect (mdraid1x_linux.c:202)
==8983==    by 0x80F009D: hook.4497 (diskfilter.c:157)
==8983==    by 0x80E6591: part_iterate.4366 (partition.c:184)
==8983==    by 0x80937E2: grub_partition_msdos_iterate (msdos.c:189)
==8983==    by 0x80E666D: grub_partition_iterate (partition.c:212)
==8983==    by 0x80F022A: scan_disk (diskfilter.c:200)
==8983==    by 0x80F2874: grub_diskfilter_get_pv_from_disk (diskfilter.c:1164)
==8983==    by 0x80EF7F9: grub_util_get_ldm (ldm.c:837)
==8983== 
==8983== 
==8983== HEAP SUMMARY:
==8983==     in use at exit: 4,428,225 bytes in 167 blocks
==8983==   total heap usage: 1,083 allocs, 917 frees, 10,211,688 bytes allocated
==8983== 
==8983== LEAK SUMMARY:
==8983==    definitely lost: 48 bytes in 7 blocks
==8983==    indirectly lost: 4,242 bytes in 9 blocks
==8983==      possibly lost: 0 bytes in 0 blocks
==8983==    still reachable: 4,423,935 bytes in 151 blocks
==8983==         suppressed: 0 bytes in 0 blocks
==8983== Rerun with --leak-check=full to see details of leaked memory
==8983== 
==8983== For counts of detected and suppressed errors, rerun with: -v
==8983== ERROR SUMMARY: 1 errors from 1 contexts (suppressed: 0 from 0)
Comment 29 Mads Kiilerich 2013-02-24 11:05:35 EST
(In reply to comment #28)
> I think I have the same problem:

With which grub version?
Comment 30 Morten L 2013-03-14 13:57:44 EDT
(In reply to comment #29)
> (In reply to comment #28)
> > I think I have the same problem:
> 
> With which grub version?

grub2-2.0-0.39.fc17.i686
Comment 31 Tommy Reynolds 2013-03-25 19:18:37 EDT
I am seeing this also under Fedora 18

# rpm -q grub2                                   
grub2-2.00-15.fc18.x86_64

# grub2-probe -t fs -d /dev/sda1
ntfs
*** glibc detected *** grub2-probe: double free or corruption (fasttop): 0x0000000002393220 ***
======= Backtrace: =========
/lib64/libc.so.6[0x39e487ca8e]
grub2-probe[0x49d1e2]
grub2-probe[0x4ae215]
grub2-probe[0x4ae39f]
grub2-probe[0x4ae38a]
grub2-probe[0x407ee8]
grub2-probe[0x404b7f]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x39e4821a05]
grub2-probe[0x402b99]
======= Memory map: ========
00400000-004f1000 r-xp 00000000 08:12 797494                             /usr/sbin/grub2-probe
006f0000-006f1000 r-xp 000f0000 08:12 797494                             /usr/sbin/grub2-probe
006f1000-006f8000 rwxp 000f1000 08:12 797494                             /usr/sbin/grub2-probe
006f8000-00707000 rwxp 00000000 00:00 0 
0238e000-02593000 rwxp 00000000 00:00 0                                  [heap]
32d3e00000-32d3e02000 r-xp 00000000 08:12 803753                         /usr/lib64/libsystemd-daemon.so.0.0.7
32d3e02000-32d4002000 ---p 00002000 08:12 803753                         /usr/lib64/libsystemd-daemon.so.0.0.7
32d4002000-32d4003000 r-xp 00002000 08:12 803753                         /usr/lib64/libsystemd-daemon.so.0.0.7
32d4003000-32d4004000 rwxp 00000000 00:00 0 
32d4200000-32d4210000 r-xp 00000000 08:12 825099                         /usr/lib64/libudev.so.1.2.1
32d4210000-32d440f000 ---p 00010000 08:12 825099                         /usr/lib64/libudev.so.1.2.1
32d440f000-32d4410000 r-xp 0000f000 08:12 825099                         /usr/lib64/libudev.so.1.2.1
32d4410000-32d4411000 rwxp 00010000 08:12 825099                         /usr/lib64/libudev.so.1.2.1
37d3000000-37d305c000 r-xp 00000000 08:12 802332                         /usr/lib64/libpcre.so.1.0.1
37d305c000-37d325c000 ---p 0005c000 08:12 802332                         /usr/lib64/libpcre.so.1.0.1
37d325c000-37d325d000 r-xp 0005c000 08:12 802332                         /usr/lib64/libpcre.so.1.0.1
37d325d000-37d325e000 rwxp 0005d000 08:12 802332                         /usr/lib64/libpcre.so.1.0.1
39e4400000-39e4420000 r-xp 00000000 08:12 787898                         /usr/lib64/ld-2.16.so
39e4620000-39e4621000 r-xp 00020000 08:12 787898                         /usr/lib64/ld-2.16.so
39e4621000-39e4622000 rwxp 00021000 08:12 787898                         /usr/lib64/ld-2.16.so
39e4622000-39e4623000 rwxp 00000000 00:00 0 
39e4800000-39e49ad000 r-xp 00000000 08:12 787899                         /usr/lib64/libc-2.16.so
39e49ad000-39e4bad000 ---p 001ad000 08:12 787899                         /usr/lib64/libc-2.16.so
39e4bad000-39e4bb1000 r-xp 001ad000 08:12 787899                         /usr/lib64/libc-2.16.so
39e4bb1000-39e4bb3000 rwxp 001b1000 08:12 787899                         /usr/lib64/libc-2.16.so
39e4bb3000-39e4bb8000 rwxp 00000000 00:00 0 
39e5000000-39e5003000 r-xp 00000000 08:12 788392                         /usr/lib64/libdl-2.16.so
39e5003000-39e5202000 ---p 00003000 08:12 788392                         /usr/lib64/libdl-2.16.so
39e5202000-39e5203000 r-xp 00002000 08:12 788392                         /usr/lib64/libdl-2.16.so
39e5203000-39e5204000 rwxp 00003000 08:12 788392                         /usr/lib64/libdl-2.16.so
39e5400000-39e5416000 r-xp 00000000 08:12 787940                         /usr/lib64/libpthread-2.16.so
39e5416000-39e5616000 ---p 00016000 08:12 787940                         /usr/lib64/libpthread-2.16.so
39e5616000-39e5617000 r-xp 00016000 08:12 787940                         /usr/lib64/libpthread-2.16.so
39e5617000-39e5618000 rwxp 00017000 08:12 787940                         /usr/lib64/libpthread-2.16.so
39e5618000-39e561c000 rwxp 00000000 00:00 0 
39e5800000-39e5807000 r-xp 00000000 08:12 789117                         /usr/lib64/librt-2.16.so
39e5807000-39e5a06000 ---p 00007000 08:12 789117                         /usr/lib64/librt-2.16.so
39e5a06000-39e5a07000 r-xp 00006000 08:12 789117                         /usr/lib64/librt-2.16.so
39e5a07000-39e5a08000 rwxp 00007000 08:12 789117                         /usr/lib64/librt-2.16.so
39e6000000-39e6015000 r-xp 00000000 08:12 788418                         /usr/lib64/libgcc_s-4.7.2-20121109.so.1
39e6015000-39e6214000 ---p 00015000 08:12 788418                         /usr/lib64/libgcc_s-4.7.2-20121109.so.1
39e6214000-39e6215000 r-xp 00014000 08:12 788418                         /usr/lib64/libgcc_s-4.7.2-20121109.so.1
39e6215000-39e6216000 rwxp 00015000 08:12 788418                         /usr/lib64/libgcc_s-4.7.2-20121109.so.1
3a40c00000-3a40c40000 r-xp 00000000 08:12 804076                         /usr/lib64/libsepol.so.1
3a40c40000-3a40e40000 ---p 00040000 08:12 804076                         /usr/lib64/libsepol.so.1
3a40e40000-3a40e41000 r-xp 00040000 08:12 804076                         /usr/lib64/libsepol.so.1
3a40e41000-3a40e42000 rwxp 00041000 08:12 804076                         /usr/lib64/libsepol.so.1
3cc2200000-3cc221f000 r-xp 00000000 08:12 789848                         /usr/lib64/libselinux.so.1
3cc221f000-3cc241e000 ---p 0001f000 08:12 789848                         /usr/lib64/libselinux.so.1
3cc241e000-3cc241f000 r-xp 0001e000 08:12 789848                         /usr/lib64/libselinux.so.1
3cc241f000-3cc2420000 rwxp 0001f000 08:12 789848                         /usr/lib64/libselinux.so.1
3cc2420000-3cc2422000 rwxp 00000000 00:00 0 
3cc3a00000-3cc3a36000 r-xp 00000000 08:12 802544                         /usr/lib64/libdevmapper.so.1.02
3cc3a36000-3cc3c35000 ---p 00036000 08:12 802544                         /usr/lib64/libdevmapper.so.1.02
3cc3c35000-3cc3c36000 r-xp 00035000 08:12 802544                         /usr/lib64/libdevmapper.so.1.02
3cc3c36000-3cc3c39000 rwxp 00036000 08:12 802544                         /usr/lib64/libdevmapper.so.1.02
3cc3c39000-3cc3c3a000 rwxp 00000000 00:00 0 
7f1d2210c000-7f1d22113000 rwxp 00000000 00:00 0 
7f1d22145000-7f1d22148000 rwxp 00000000 00:00 0 
7fff05936000-7fff0595b000 rwxp 00000000 00:00 0                          [stack]
7fff059af000-7fff059b1000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Aborted (core dumped)
Comment 32 Trevor Cordes 2013-04-02 14:35:41 EDT
I have the same problem as last poster.  My stacktrace is below.

The weird thing is, it happens sometimes but not others!  It gave me a double-free 3 times in a row, then worked on the 4th attempt (see very bottom).  Subsequent attempts are just failing again (I tried about 30 times).  I confirmed the one good attempt indeed installed grub into MBR ok.

I am in a position to run further debugs against this as it is reproducible if someone tells me what to capture (and how).

grub2-2.0-0.39.fc17.i686
kernel-PAE-3.8.3-103.fc17.i686


1:26pm ~#grub2-install /dev/sdb
*** glibc detected *** /usr/sbin/grub2-probe: double free or corruption (fasttop): 0x08d2eb80 ***
======= Backtrace: =========
/lib/libc.so.6[0x460fc8c9]
/usr/sbin/grub2-probe[0x80e320a]
/usr/sbin/grub2-probe[0x80f2833]
/usr/sbin/grub2-probe[0x80f29a3]
/usr/sbin/grub2-probe[0x80f2989]
/usr/sbin/grub2-probe[0x804ecc6]
/usr/sbin/grub2-probe[0x804bbcb]
/lib/libc.so.6(__libc_start_main+0xf5)[0x460a0635]
/usr/sbin/grub2-probe[0x8049ed1]
======= Memory map: ========
08047000-08135000 r-xp 00000000 09:7e 13866770   /usr/sbin/grub2-probe
08135000-08136000 r-xp 000ed000 09:7e 13866770   /usr/sbin/grub2-probe
08136000-0813c000 rwxp 000ee000 09:7e 13866770   /usr/sbin/grub2-probe
0813c000-08145000 rwxp 00000000 00:00 0 
08d2d000-09031000 rwxp 00000000 00:00 0          [heap]
46060000-4607f000 r-xp 00000000 09:7e 13860917   /usr/lib/ld-2.15.so
4607f000-46080000 r-xp 0001e000 09:7e 13860917   /usr/lib/ld-2.15.so
46080000-46081000 rwxp 0001f000 09:7e 13860917   /usr/lib/ld-2.15.so
46087000-46232000 r-xp 00000000 09:7e 13860918   /usr/lib/libc-2.15.so
46232000-46233000 ---p 001ab000 09:7e 13860918   /usr/lib/libc-2.15.so
46233000-46235000 r-xp 001ab000 09:7e 13860918   /usr/lib/libc-2.15.so
46235000-46236000 rwxp 001ad000 09:7e 13860918   /usr/lib/libc-2.15.so
46236000-46239000 rwxp 00000000 00:00 0 
46268000-4627e000 r-xp 00000000 09:7e 13860926   /usr/lib/libpthread-2.15.so
4627e000-4627f000 r-xp 00015000 09:7e 13860926   /usr/lib/libpthread-2.15.so
4627f000-46280000 rwxp 00016000 09:7e 13860926   /usr/lib/libpthread-2.15.so
46280000-46282000 rwxp 00000000 00:00 0 
46284000-46287000 r-xp 00000000 09:7e 13860921   /usr/lib/libdl-2.15.so
46287000-46288000 r-xp 00002000 09:7e 13860921   /usr/lib/libdl-2.15.so
46288000-46289000 rwxp 00003000 09:7e 13860921   /usr/lib/libdl-2.15.so
462a3000-462aa000 r-xp 00000000 09:7e 13860927   /usr/lib/librt-2.15.so
462aa000-462ab000 r-xp 00006000 09:7e 13860927   /usr/lib/librt-2.15.so
462ab000-462ac000 rwxp 00007000 09:7e 13860927   /usr/lib/librt-2.15.so
462ae000-462cd000 r-xp 00000000 09:7e 13860923   /usr/lib/libselinux.so.1
462cd000-462ce000 r-xp 0001e000 09:7e 13860923   /usr/lib/libselinux.so.1
462ce000-462cf000 rwxp 0001f000 09:7e 13860923   /usr/lib/libselinux.so.1
462cf000-462d0000 rwxp 00000000 00:00 0 
462d2000-46312000 r-xp 00000000 09:7e 13860924   /usr/lib/libsepol.so.1
46312000-46313000 rwxp 00040000 09:7e 13860924   /usr/lib/libsepol.so.1
46322000-46330000 r-xp 00000000 09:7e 13860929   /usr/lib/libudev.so.0.13.1
46330000-46331000 r-xp 0000d000 09:7e 13860929   /usr/lib/libudev.so.0.13.1
46331000-46332000 rwxp 00000000 00:00 0 
463a2000-463da000 r-xp 00000000 09:7e 13860930   /usr/lib/libdevmapper.so.1.02
463da000-463dd000 rwxp 00038000 09:7e 13860930   /usr/lib/libdevmapper.so.1.02
463dd000-463de000 rwxp 00000000 00:00 0 
b76fe000-b771a000 r-xp 00000000 09:7e 13861070   /usr/lib/libgcc_s-4.7.2-20120921.so.1
b771a000-b771b000 rwxp 0001b000 09:7e 13861070   /usr/lib/libgcc_s-4.7.2-20120921.so.1
b7723000-b7726000 rwxp 00000000 00:00 0 
b7728000-b772f000 rwxp 00000000 00:00 0 
b772f000-b7730000 r-xp 00000000 00:00 0          [vdso]
bfc1c000-bfc5f000 rwxp 00000000 00:00 0          [stack]
/usr/share/grub/grub-mkconfig_lib: line 53: 15877 Aborted                 "${grub_probe}" -t fs "$path" > /dev/null 2>&1
Path `/boot/grub2' is not readable by GRUB on boot. Installation is impossible. Aborting.
Exit 1

1:27pm ~#grub2-install /dev/sdb
/usr/sbin/grub2-probe: warning: Couldn't find physical volume `(null)'. Some modules may be missing from core image..
/usr/sbin/grub2-probe: warning: Couldn't find physical volume `(null)'. Some modules may be missing from core image..
Installation finished. No error reported.
Comment 33 Trevor Cordes 2013-04-03 02:53:56 EDT
And now today, without any changes to anything, it works fine 3 times in a row:

1:51am ~#grub2-install /dev/sdb
Installation finished. No error reported.

Yesterday, during the 30 tests where it failed I updated the device.map file as the hd1 reference was stale (after replacing a dead RAID1 disk), but it didn't help yesterday.

Something very strange is going on here.
Comment 34 Fedora End Of Life 2013-07-04 02:25:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 35 Fedora End Of Life 2013-08-01 13:59:51 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 36 Trevor Cordes 2013-12-23 07:44:54 EST
WORKING WORKAROUND!

Doing a yum --releasever=18 distro-sync from Fedora 17->18 on the same system today, I got this bug again.

Similar stack traces as posted before.  It's the same bug.

After googling a bit, I found a few posts talking about 1 disk RAID-1 arrays.  On this system I am having some issues keeping sdb in the arrays (a completely different problem) as it always reboots into degraded (just sda).  So to save time I have been RAID1 resyncing just /boot and then / before doing the grub2-install.  That always fails.  Based on the google hits, for fun, I just also RAID1 resynced my swap partition (also RAID1, and the 3rd of 3 partitions), and now suddenly grub2-install completes 100% successfully every time!

Note, I didn't have to let it complete resyncing swap, I just had to re-add the missing disk with mdadm.

So, for my situation anyway, making sure all md RAID1 devices have 2 disks present mitigates this problem.

This would seem a bug in grub2-probe when it comes to handling md raid.

I'm also going to upgrade to F19 on this box today and will report back if the problem still exists in F18->F19.  It's easy to reproduce as I can artificially kick a disk out of the swap array.
Comment 37 Trevor Cordes 2013-12-23 11:16:48 EST
Bug persists in Fedora 18 to 19 yum upgrade (booted in 18 kernel, but 19 user space now installed, before final reboot).

But this time I found a new error.  I needed to both make sure the raid arrays where UU *and* I had to manually regenerate grub2.cfg:
grub2-mkconfig -o /boot/grub2/grub.cfg

I think this is because the raid arrays weren't UU when yum ran the dracut/grub stuff after installing the new kernel, thus causing the grub2-mkconfig to fail.  Grug2-mkconfig, like grub2-probe, blows up if the raid arrays aren't UU.

So I had to mdadm fixup the raid arrays, then run grub2-mkconfig and then grub2-probe or grub2-install.

If you try to run the probe or install before the mkconfig, it blows up because something is leaving a broken grub2.cfg around and probe/install seem to rely on a working cfg.

The root problem is grub2 tools not being happy with non-UU arrays.
Comment 38 Trollkarlen 2014-04-15 16:14:33 EDT
I have the same issue on f20.

sudo grub2-install --recheck --boot-directory=/boot/ /dev/sdb
*** Error in `/usr/sbin/grub2-probe': double free or corruption (fasttop): 0x0000000001721570 ***
======= Backtrace: =========
/usr/lib64/libc.so.6(+0x75cff)[0x7f8ff2411cff]
/usr/lib64/libc.so.6(+0x7cff8)[0x7f8ff2418ff8]
/usr/sbin/grub2-probe[0x4a0a4a]
/usr/sbin/grub2-probe[0x4b2445]
/usr/sbin/grub2-probe[0x4b25ca]
/usr/sbin/grub2-probe[0x4b25b5]
/usr/sbin/grub2-probe[0x49994f]
/usr/sbin/grub2-probe[0x49ba80]
/usr/sbin/grub2-probe[0x49b560]
/usr/sbin/grub2-probe[0x49bcfa]
/usr/sbin/grub2-probe[0x49d1f5]
/usr/sbin/grub2-probe[0x4037b2]
/usr/sbin/grub2-probe[0x404c2d]
/usr/lib64/libc.so.6(__libc_start_main+0xf5)[0x7f8ff23bdd65]
/usr/sbin/grub2-probe[0x402c69]
======= Memory map: ========
00400000-004f7000 r-xp 00000000 09:7b 5072238                            /usr/sbin/grub2-probe
006f6000-006f7000 r--p 000f6000 09:7b 5072238                            /usr/sbin/grub2-probe
006f7000-006fe000 rw-p 000f7000 09:7b 5072238                            /usr/sbin/grub2-probe
006fe000-0070d000 rw-p 00000000 00:00 0 
0171d000-018f2000 rw-p 00000000 00:00 0                                  [heap]
7f8feab2e000-7f8ff1057000 r--p 00000000 09:7b 5150944                    /usr/lib/locale/locale-archive
7f8ff1057000-7f8ff106c000 r-xp 00000000 09:7b 5069122                    /usr/lib64/libgcc_s-4.8.2-20131212.so.1
7f8ff106c000-7f8ff126b000 ---p 00015000 09:7b 5069122                    /usr/lib64/libgcc_s-4.8.2-20131212.so.1
7f8ff126b000-7f8ff126c000 r--p 00014000 09:7b 5069122                    /usr/lib64/libgcc_s-4.8.2-20131212.so.1
7f8ff126c000-7f8ff126d000 rw-p 00015000 09:7b 5069122                    /usr/lib64/libgcc_s-4.8.2-20131212.so.1
7f8ff126d000-7f8ff1274000 r-xp 00000000 09:7b 5069816                    /usr/lib64/librt-2.18.so
7f8ff1274000-7f8ff1473000 ---p 00007000 09:7b 5069816                    /usr/lib64/librt-2.18.so
7f8ff1473000-7f8ff1474000 r--p 00006000 09:7b 5069816                    /usr/lib64/librt-2.18.so
7f8ff1474000-7f8ff1475000 rw-p 00007000 09:7b 5069816                    /usr/lib64/librt-2.18.so
7f8ff1475000-7f8ff1478000 r-xp 00000000 09:7b 5069571                    /usr/lib64/libdl-2.18.so
7f8ff1478000-7f8ff1677000 ---p 00003000 09:7b 5069571                    /usr/lib64/libdl-2.18.so
7f8ff1677000-7f8ff1678000 r--p 00002000 09:7b 5069571                    /usr/lib64/libdl-2.18.so
7f8ff1678000-7f8ff1679000 rw-p 00003000 09:7b 5069571                    /usr/lib64/libdl-2.18.so
7f8ff1679000-7f8ff169d000 r-xp 00000000 09:7b 5070730                    /usr/lib64/liblzma.so.5.0.99
7f8ff169d000-7f8ff189c000 ---p 00024000 09:7b 5070730                    /usr/lib64/liblzma.so.5.0.99
7f8ff189c000-7f8ff189d000 r--p 00023000 09:7b 5070730                    /usr/lib64/liblzma.so.5.0.99
7f8ff189d000-7f8ff189e000 rw-p 00024000 09:7b 5070730                    /usr/lib64/liblzma.so.5.0.99
7f8ff189e000-7f8ff1903000 r-xp 00000000 09:7b 5070764                    /usr/lib64/libpcre.so.1.2.1
7f8ff1903000-7f8ff1b02000 ---p 00065000 09:7b 5070764                    /usr/lib64/libpcre.so.1.2.1
7f8ff1b02000-7f8ff1b03000 r--p 00064000 09:7b 5070764                    /usr/lib64/libpcre.so.1.2.1
7f8ff1b03000-7f8ff1b04000 rw-p 00065000 09:7b 5070764                    /usr/lib64/libpcre.so.1.2.1
7f8ff1b04000-7f8ff1b1c000 r-xp 00000000 09:7b 5069779                    /usr/lib64/libpthread-2.18.so
7f8ff1b1c000-7f8ff1d1b000 ---p 00018000 09:7b 5069779                    /usr/lib64/libpthread-2.18.so
7f8ff1d1b000-7f8ff1d1c000 r--p 00017000 09:7b 5069779                    /usr/lib64/libpthread-2.18.so
7f8ff1d1c000-7f8ff1d1d000 rw-p 00018000 09:7b 5069779                    /usr/lib64/libpthread-2.18.so
7f8ff1d1d000-7f8ff1d21000 rw-p 00000000 00:00 0 
7f8ff1d21000-7f8ff1d31000 r-xp 00000000 09:7b 5075817                    /usr/lib64/libudev.so.1.4.0
7f8ff1d31000-7f8ff1f31000 ---p 00010000 09:7b 5075817                    /usr/lib64/libudev.so.1.4.0
7f8ff1f31000-7f8ff1f32000 r--p 00010000 09:7b 5075817                    /usr/lib64/libudev.so.1.4.0
7f8ff1f32000-7f8ff1f33000 rw-p 00011000 09:7b 5075817                    /usr/lib64/libudev.so.1.4.0
7f8ff1f33000-7f8ff1f77000 r-xp 00000000 09:7b 5070883                    /usr/lib64/libsepol.so.1
7f8ff1f77000-7f8ff2176000 ---p 00044000 09:7b 5070883                    /usr/lib64/libsepol.so.1
7f8ff2176000-7f8ff2177000 r--p 00043000 09:7b 5070883                    /usr/lib64/libsepol.so.1
7f8ff2177000-7f8ff2178000 rw-p 00044000 09:7b 5070883                    /usr/lib64/libsepol.so.1
7f8ff2178000-7f8ff2199000 r-xp 00000000 09:7b 5070884                    /usr/lib64/libselinux.so.1
7f8ff2199000-7f8ff2398000 ---p 00021000 09:7b 5070884                    /usr/lib64/libselinux.so.1
7f8ff2398000-7f8ff2399000 r--p 00020000 09:7b 5070884                    /usr/lib64/libselinux.so.1
7f8ff2399000-7f8ff239a000 rw-p 00021000 09:7b 5070884                    /usr/lib64/libselinux.so.1
7f8ff239a000-7f8ff239c000 rw-p 00000000 00:00 0 
7f8ff239c000-7f8ff2550000 r-xp 00000000 09:7b 5069503                    /usr/lib64/libc-2.18.so
7f8ff2550000-7f8ff2750000 ---p 001b4000 09:7b 5069503                    /usr/lib64/libc-2.18.so
7f8ff2750000-7f8ff2754000 r--p 001b4000 09:7b 5069503                    /usr/lib64/libc-2.18.so
7f8ff2754000-7f8ff2756000 rw-p 001b8000 09:7b 5069503                    /usr/lib64/libc-2.18.so
7f8ff2756000-7f8ff275b000 rw-p 00000000 00:00 0 
7f8ff275b000-7f8ff2794000 r-xp 00000000 09:7b 5078273                    /usr/lib64/libdevmapper.so.1.02
7f8ff2794000-7f8ff2993000 ---p 00039000 09:7b 5078273                    /usr/lib64/libdevmapper.so.1.02
7f8ff2993000-7f8ff2994000 r--p 00038000 09:7b 5078273                    /usr/lib64/libdevmapper.so.1.02
7f8ff2994000-7f8ff2997000 rw-p 00039000 09:7b 5078273                    /usr/lib64/libdevmapper.so.1.02
7f8ff2997000-7f8ff2998000 rw-p 00000000 00:00 0 
7f8ff2998000-7f8ff29b8000 r-xp 00000000 09:7b 5069298                    /usr/lib64/ld-2.18.so
7f8ff2b87000-7f8ff2b8e000 rw-p 00000000 00:00 0 
7f8ff2bb4000-7f8ff2bb5000 rw-p 00000000 00:00 0 
7f8ff2bb5000-7f8ff2bb7000 rw-p 00000000 00:00 0 
7f8ff2bb7000-7f8ff2bb8000 r--p 0001f000 09:7b 5069298                    /usr/lib64/ld-2.18.so
7f8ff2bb8000-7f8ff2bb9000 rw-p 00020000 09:7b 5069298                    /usr/lib64/ld-2.18.so
7f8ff2bb9000-7f8ff2bba000 rw-p 00000000 00:00 0 
7fffdfba9000-7fffdfbec000 rw-p 00000000 00:00 0                          [stack]
7fffdfbfe000-7fffdfc00000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
*** Error in `/usr/sbin/grub2-probe': double free or corruption (fasttop): 0x0000000001721570 ***
======= Backtrace: =========
/usr/lib64/libc.so.6(+0x75cff)[0x7f8ff2411cff]
/usr/lib64/libc.so.6(+0x7cff8)[0x7f8ff2418ff8]
/usr/sbin/grub2-probe[0x4a0a4a]
/usr/sbin/grub2-probe[0x4b2445]
/usr/sbin/grub2-probe[0x4b25ca]
/usr/sbin/grub2-probe[0x4b25b5]
/usr/sbin/grub2-probe[0x49994f]
/usr/sbin/grub2-probe[0x49ba80]
/usr/sbin/grub2-probe[0x49b560]
/usr/sbin/grub2-probe[0x49d204]
/usr/sbin/grub2-probe[0x4037b2]
/usr/sbin/grub2-probe[0x404c2d]
/usr/lib64/libc.so.6(__libc_start_main+0xf5)[0x7f8ff23bdd65]
/usr/sbin/grub2-probe[0x402c69]
======= Memory map: ========
00400000-004f7000 r-xp 00000000 09:7b 5072238                            /usr/sbin/grub2-probe
006f6000-006f7000 r--p 000f6000 09:7b 5072238                            /usr/sbin/grub2-probe
006f7000-006fe000 rw-p 000f7000 09:7b 5072238                            /usr/sbin/grub2-probe
006fe000-0070d000 rw-p 00000000 00:00 0 
0171d000-0191a000 rw-p 00000000 00:00 0                                  [heap]
7f8feab2e000-7f8ff1057000 r--p 00000000 09:7b 5150944                    /usr/lib/locale/locale-archive
7f8ff1057000-7f8ff106c000 r-xp 00000000 09:7b 5069122                    /usr/lib64/libgcc_s-4.8.2-20131212.so.1
7f8ff106c000-7f8ff126b000 ---p 00015000 09:7b 5069122                    /usr/lib64/libgcc_s-4.8.2-20131212.so.1
7f8ff126b000-7f8ff126c000 r--p 00014000 09:7b 5069122                    /usr/lib64/libgcc_s-4.8.2-20131212.so.1
7f8ff126c000-7f8ff126d000 rw-p 00015000 09:7b 5069122                    /usr/lib64/libgcc_s-4.8.2-20131212.so.1
7f8ff126d000-7f8ff1274000 r-xp 00000000 09:7b 5069816                    /usr/lib64/librt-2.18.so
7f8ff1274000-7f8ff1473000 ---p 00007000 09:7b 5069816                    /usr/lib64/librt-2.18.so
7f8ff1473000-7f8ff1474000 r--p 00006000 09:7b 5069816                    /usr/lib64/librt-2.18.so
7f8ff1474000-7f8ff1475000 rw-p 00007000 09:7b 5069816                    /usr/lib64/librt-2.18.so
7f8ff1475000-7f8ff1478000 r-xp 00000000 09:7b 5069571                    /usr/lib64/libdl-2.18.so
7f8ff1478000-7f8ff1677000 ---p 00003000 09:7b 5069571                    /usr/lib64/libdl-2.18.so
7f8ff1677000-7f8ff1678000 r--p 00002000 09:7b 5069571                    /usr/lib64/libdl-2.18.so
7f8ff1678000-7f8ff1679000 rw-p 00003000 09:7b 5069571                    /usr/lib64/libdl-2.18.so
7f8ff1679000-7f8ff169d000 r-xp 00000000 09:7b 5070730                    /usr/lib64/liblzma.so.5.0.99
7f8ff169d000-7f8ff189c000 ---p 00024000 09:7b 5070730                    /usr/lib64/liblzma.so.5.0.99
7f8ff189c000-7f8ff189d000 r--p 00023000 09:7b 5070730                    /usr/lib64/liblzma.so.5.0.99
7f8ff189d000-7f8ff189e000 rw-p 00024000 09:7b 5070730                    /usr/lib64/liblzma.so.5.0.99
7f8ff189e000-7f8ff1903000 r-xp 00000000 09:7b 5070764                    /usr/lib64/libpcre.so.1.2.1
7f8ff1903000-7f8ff1b02000 ---p 00065000 09:7b 5070764                    /usr/lib64/libpcre.so.1.2.1
7f8ff1b02000-7f8ff1b03000 r--p 00064000 09:7b 5070764                    /usr/lib64/libpcre.so.1.2.1
7f8ff1b03000-7f8ff1b04000 rw-p 00065000 09:7b 5070764                    /usr/lib64/libpcre.so.1.2.1
7f8ff1b04000-7f8ff1b1c000 r-xp 00000000 09:7b 5069779                    /usr/lib64/libpthread-2.18.so
7f8ff1b1c000-7f8ff1d1b000 ---p 00018000 09:7b 5069779                    /usr/lib64/libpthread-2.18.so
7f8ff1d1b000-7f8ff1d1c000 r--p 00017000 09:7b 5069779                    /usr/lib64/libpthread-2.18.so
7f8ff1d1c000-7f8ff1d1d000 rw-p 00018000 09:7b 5069779                    /usr/lib64/libpthread-2.18.so
7f8ff1d1d000-7f8ff1d21000 rw-p 00000000 00:00 0 
7f8ff1d21000-7f8ff1d31000 r-xp 00000000 09:7b 5075817                    /usr/lib64/libudev.so.1.4.0
7f8ff1d31000-7f8ff1f31000 ---p 00010000 09:7b 5075817                    /usr/lib64/libudev.so.1.4.0
7f8ff1f31000-7f8ff1f32000 r--p 00010000 09:7b 5075817                    /usr/lib64/libudev.so.1.4.0
7f8ff1f32000-7f8ff1f33000 rw-p 00011000 09:7b 5075817                    /usr/lib64/libudev.so.1.4.0
7f8ff1f33000-7f8ff1f77000 r-xp 00000000 09:7b 5070883                    /usr/lib64/libsepol.so.1
7f8ff1f77000-7f8ff2176000 ---p 00044000 09:7b 5070883                    /usr/lib64/libsepol.so.1
7f8ff2176000-7f8ff2177000 r--p 00043000 09:7b 5070883                    /usr/lib64/libsepol.so.1
7f8ff2177000-7f8ff2178000 rw-p 00044000 09:7b 5070883                    /usr/lib64/libsepol.so.1
7f8ff2178000-7f8ff2199000 r-xp 00000000 09:7b 5070884                    /usr/lib64/libselinux.so.1
7f8ff2199000-7f8ff2398000 ---p 00021000 09:7b 5070884                    /usr/lib64/libselinux.so.1
7f8ff2398000-7f8ff2399000 r--p 00020000 09:7b 5070884                    /usr/lib64/libselinux.so.1
7f8ff2399000-7f8ff239a000 rw-p 00021000 09:7b 5070884                    /usr/lib64/libselinux.so.1
7f8ff239a000-7f8ff239c000 rw-p 00000000 00:00 0 
7f8ff239c000-7f8ff2550000 r-xp 00000000 09:7b 5069503                    /usr/lib64/libc-2.18.so
7f8ff2550000-7f8ff2750000 ---p 001b4000 09:7b 5069503                    /usr/lib64/libc-2.18.so
7f8ff2750000-7f8ff2754000 r--p 001b4000 09:7b 5069503                    /usr/lib64/libc-2.18.so
7f8ff2754000-7f8ff2756000 rw-p 001b8000 09:7b 5069503                    /usr/lib64/libc-2.18.so
7f8ff2756000-7f8ff275b000 rw-p 00000000 00:00 0 
7f8ff275b000-7f8ff2794000 r-xp 00000000 09:7b 5078273                    /usr/lib64/libdevmapper.so.1.02
7f8ff2794000-7f8ff2993000 ---p 00039000 09:7b 5078273                    /usr/lib64/libdevmapper.so.1.02
7f8ff2993000-7f8ff2994000 r--p 00038000 09:7b 5078273                    /usr/lib64/libdevmapper.so.1.02
7f8ff2994000-7f8ff2997000 rw-p 00039000 09:7b 5078273                    /usr/lib64/libdevmapper.so.1.02
7f8ff2997000-7f8ff2998000 rw-p 00000000 00:00 0 
7f8ff2998000-7f8ff29b8000 r-xp 00000000 09:7b 5069298                    /usr/lib64/ld-2.18.so
7f8ff2b87000-7f8ff2b8e000 rw-p 00000000 00:00 0 
7f8ff2bb3000-7f8ff2bb4000 rw-p 00000000 00:00 0 
7f8ff2bb4000-7f8ff2bb7000 rw-p 00000000 00:00 0 
7f8ff2bb7000-7f8ff2bb8000 r--p 0001f000 09:7b 5069298                    /usr/lib64/ld-2.18.so
7f8ff2bb8000-7f8ff2bb9000 rw-p 00020000 09:7b 5069298                    /usr/lib64/ld-2.18.so
7f8ff2bb9000-7f8ff2bba000 rw-p 00000000 00:00 0 
7fffdfba9000-7fffdfbec000 rw-p 00000000 00:00 0                          [stack]
7fffdfbfe000-7fffdfc00000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
*** Error in `/usr/sbin/grub2-probe': double free or corruption (fasttop): 0x0000000001721570 ***
======= Backtrace: =========
/usr/lib64/libc.so.6(+0x75cff)[0x7f8ff2411cff]
/usr/lib64/libc.so.6(+0x7cff8)[0x7f8ff2418ff8]
/usr/sbin/grub2-probe[0x4a0a4a]
/usr/sbin/grub2-probe[0x4b2445]
/usr/sbin/grub2-probe[0x4b25ca]
/usr/sbin/grub2-probe[0x4b25b5]
/usr/sbin/grub2-probe[0x49994f]
/usr/sbin/grub2-probe[0x49b84e]
/usr/sbin/grub2-probe[0x49d5ff]
/usr/sbin/grub2-probe[0x4037b2]
/usr/sbin/grub2-probe[0x404c2d]
/usr/lib64/libc.so.6(__libc_start_main+0xf5)[0x7f8ff23bdd65]
/usr/sbin/grub2-probe[0x402c69]
======= Memory map: ========
00400000-004f7000 r-xp 00000000 09:7b 5072238                            /usr/sbin/grub2-probe
006f6000-006f7000 r--p 000f6000 09:7b 5072238                            /usr/sbin/grub2-probe
006f7000-006fe000 rw-p 000f7000 09:7b 5072238                            /usr/sbin/grub2-probe
006fe000-0070d000 rw-p 00000000 00:00 0 
0171d000-0191a000 rw-p 00000000 00:00 0                                  [heap]
7f8feab2e000-7f8ff1057000 r--p 00000000 09:7b 5150944                    /usr/lib/locale/locale-archive
7f8ff1057000-7f8ff106c000 r-xp 00000000 09:7b 5069122                    /usr/lib64/libgcc_s-4.8.2-20131212.so.1
7f8ff106c000-7f8ff126b000 ---p 00015000 09:7b 5069122                    /usr/lib64/libgcc_s-4.8.2-20131212.so.1
7f8ff126b000-7f8ff126c000 r--p 00014000 09:7b 5069122                    /usr/lib64/libgcc_s-4.8.2-20131212.so.1
7f8ff126c000-7f8ff126d000 rw-p 00015000 09:7b 5069122                    /usr/lib64/libgcc_s-4.8.2-20131212.so.1
7f8ff126d000-7f8ff1274000 r-xp 00000000 09:7b 5069816                    /usr/lib64/librt-2.18.so
7f8ff1274000-7f8ff1473000 ---p 00007000 09:7b 5069816                    /usr/lib64/librt-2.18.so
7f8ff1473000-7f8ff1474000 r--p 00006000 09:7b 5069816                    /usr/lib64/librt-2.18.so
7f8ff1474000-7f8ff1475000 rw-p 00007000 09:7b 5069816                    /usr/lib64/librt-2.18.so
7f8ff1475000-7f8ff1478000 r-xp 00000000 09:7b 5069571                    /usr/lib64/libdl-2.18.so
7f8ff1478000-7f8ff1677000 ---p 00003000 09:7b 5069571                    /usr/lib64/libdl-2.18.so
7f8ff1677000-7f8ff1678000 r--p 00002000 09:7b 5069571                    /usr/lib64/libdl-2.18.so
7f8ff1678000-7f8ff1679000 rw-p 00003000 09:7b 5069571                    /usr/lib64/libdl-2.18.so
7f8ff1679000-7f8ff169d000 r-xp 00000000 09:7b 5070730                    /usr/lib64/liblzma.so.5.0.99
7f8ff169d000-7f8ff189c000 ---p 00024000 09:7b 5070730                    /usr/lib64/liblzma.so.5.0.99
7f8ff189c000-7f8ff189d000 r--p 00023000 09:7b 5070730                    /usr/lib64/liblzma.so.5.0.99
7f8ff189d000-7f8ff189e000 rw-p 00024000 09:7b 5070730                    /usr/lib64/liblzma.so.5.0.99
7f8ff189e000-7f8ff1903000 r-xp 00000000 09:7b 5070764                    /usr/lib64/libpcre.so.1.2.1
7f8ff1903000-7f8ff1b02000 ---p 00065000 09:7b 5070764                    /usr/lib64/libpcre.so.1.2.1
7f8ff1b02000-7f8ff1b03000 r--p 00064000 09:7b 5070764                    /usr/lib64/libpcre.so.1.2.1
7f8ff1b03000-7f8ff1b04000 rw-p 00065000 09:7b 5070764                    /usr/lib64/libpcre.so.1.2.1
7f8ff1b04000-7f8ff1b1c000 r-xp 00000000 09:7b 5069779                    /usr/lib64/libpthread-2.18.so
7f8ff1b1c000-7f8ff1d1b000 ---p 00018000 09:7b 5069779                    /usr/lib64/libpthread-2.18.so
7f8ff1d1b000-7f8ff1d1c000 r--p 00017000 09:7b 5069779                    /usr/lib64/libpthread-2.18.so
7f8ff1d1c000-7f8ff1d1d000 rw-p 00018000 09:7b 5069779                    /usr/lib64/libpthread-2.18.so
7f8ff1d1d000-7f8ff1d21000 rw-p 00000000 00:00 0 
7f8ff1d21000-7f8ff1d31000 r-xp 00000000 09:7b 5075817                    /usr/lib64/libudev.so.1.4.0
7f8ff1d31000-7f8ff1f31000 ---p 00010000 09:7b 5075817                    /usr/lib64/libudev.so.1.4.0
7f8ff1f31000-7f8ff1f32000 r--p 00010000 09:7b 5075817                    /usr/lib64/libudev.so.1.4.0
7f8ff1f32000-7f8ff1f33000 rw-p 00011000 09:7b 5075817                    /usr/lib64/libudev.so.1.4.0
7f8ff1f33000-7f8ff1f77000 r-xp 00000000 09:7b 5070883                    /usr/lib64/libsepol.so.1
7f8ff1f77000-7f8ff2176000 ---p 00044000 09:7b 5070883                    /usr/lib64/libsepol.so.1
7f8ff2176000-7f8ff2177000 r--p 00043000 09:7b 5070883                    /usr/lib64/libsepol.so.1
7f8ff2177000-7f8ff2178000 rw-p 00044000 09:7b 5070883                    /usr/lib64/libsepol.so.1
7f8ff2178000-7f8ff2199000 r-xp 00000000 09:7b 5070884                    /usr/lib64/libselinux.so.1
7f8ff2199000-7f8ff2398000 ---p 00021000 09:7b 5070884                    /usr/lib64/libselinux.so.1
7f8ff2398000-7f8ff2399000 r--p 00020000 09:7b 5070884                    /usr/lib64/libselinux.so.1
7f8ff2399000-7f8ff239a000 rw-p 00021000 09:7b 5070884                    /usr/lib64/libselinux.so.1
7f8ff239a000-7f8ff239c000 rw-p 00000000 00:00 0 
7f8ff239c000-7f8ff2550000 r-xp 00000000 09:7b 5069503                    /usr/lib64/libc-2.18.so
7f8ff2550000-7f8ff2750000 ---p 001b4000 09:7b 5069503                    /usr/lib64/libc-2.18.so
7f8ff2750000-7f8ff2754000 r--p 001b4000 09:7b 5069503                    /usr/lib64/libc-2.18.so
7f8ff2754000-7f8ff2756000 rw-p 001b8000 09:7b 5069503                    /usr/lib64/libc-2.18.so
7f8ff2756000-7f8ff275b000 rw-p 00000000 00:00 0 
7f8ff275b000-7f8ff2794000 r-xp 00000000 09:7b 5078273                    /usr/lib64/libdevmapper.so.1.02
7f8ff2794000-7f8ff2993000 ---p 00039000 09:7b 5078273                    /usr/lib64/libdevmapper.so.1.02
7f8ff2993000-7f8ff2994000 r--p 00038000 09:7b 5078273                    /usr/lib64/libdevmapper.so.1.02
7f8ff2994000-7f8ff2997000 rw-p 00039000 09:7b 5078273                    /usr/lib64/libdevmapper.so.1.02
7f8ff2997000-7f8ff2998000 rw-p 00000000 00:00 0 
7f8ff2998000-7f8ff29b8000 r-xp 00000000 09:7b 5069298                    /usr/lib64/ld-2.18.so
7f8ff2b87000-7f8ff2b8e000 rw-p 00000000 00:00 0 
7f8ff2bb2000-7f8ff2bb3000 rw-p 00000000 00:00 0 
7f8ff2bb3000-7f8ff2bb7000 rw-p 00000000 00:00 0 
7f8ff2bb7000-7f8ff2bb8000 r--p 0001f000 09:7b 5069298                    /usr/lib64/ld-2.18.so
7f8ff2bb8000-7f8ff2bb9000 rw-p 00020000 09:7b 5069298                    /usr/lib64/ld-2.18.so
7f8ff2bb9000-7f8ff2bba000 rw-p 00000000 00:00 0 
7fffdfba9000-7fffdfbec000 rw-p 00000000 00:00 0                          [stack]
7fffdfbfe000-7fffdfc00000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Path `/boot/grub2' is not readable by GRUB on boot. Installation is impossible. Aborting.

============================= Boot Info Summary: ===============================

 => Grub Legacy (v0.97) is installed in the MBR of /dev/sda and looks on boot 
    drive #1 in partition #1 for /grub/stage2 and /grub/grub.conf.
 => Grub Legacy (v0.97) is installed in the MBR of /dev/sdb and looks on the 
    same drive in partition #1 for /grub/stage2 and /grub/grub.conf.
 => Grub Legacy (v0.97) is installed in the MBR of /dev/sdc and looks on boot 
    drive #1 in partition #1 for /grub/stage2 and /grub/grub.conf.
 => Grub Legacy (v0.97) is installed in the MBR of /dev/sdf and looks on boot 
    drive #1 in partition #1 for /grub/stage2 and /grub/grub.conf.
 => No boot loader is installed in the MBR of /dev/sdg.

cat /proc/mdstat 
Personalities : [raid1] [raid0] [raid6] [raid5] [raid4] 
md123 : active raid5 sdf3[2] sdc3[1] sdb3[0]
      58604928 blocks level 5, 64k chunk, algorithm 2 [3/3] [UUU]
      
md124 : active raid5 sdg1[3] sdf5[2] sdc5[1] sdb5[0]
      146512512 blocks level 5, 64k chunk, algorithm 2 [4/4] [UUUU]
      
md125 : active raid5 sdg2[3] sdf6[2] sdc6[1] sdb6[0]
      935416320 blocks level 5, 64k chunk, algorithm 2 [4/4] [UUUU]
      
md126 : active raid0 sdf2[2] sdc2[1] sdb2[0]
      1517760 blocks 64k chunks
      
md127 : active raid1 sdf1[2] sdc1[1] sdb1[0]
      256896 blocks [3/3] [UUU]
      

Should I create a new issue ?

/T